/* Name:		SARIUS.EXE */
/* Autor:		Dirk Bchle */
/* Datum:		11.09.2000 */
/* Aufruf:		sarius [vokabel-datei] */
/* Zweck:		Vokabeltrainer speziell fuer die */
/*			russische Sprache konzipiert. */


/* ------------------------------------------------ Include-Dateien */

#include <stdio.h>
#include <string.h>
#include "globald.h"
#include "eingabe.h"
#include "vokabel.h"


/* ----------------------------------------------- Define-Variablen */


/* ---------------------------------------------- Globale Variablen */

/* ----------------------------------------------------- Funktionen */

/* ----------------------------------------------------------- Main */

int main(int argc, char **argv)
{
  class vokabel_l *vlist;
  char fname[FNAME_MAX];

    vlist = new vokabel_l;
    if (vlist == NULL)
    {
      DisplayErrorOccured();
      printf("Main: Konnte keinen Speicher fr vlist allozieren!\n");
      DisplayFreeMemoryMessage();
      return(1);
    }

    if (argc>1)
    {
      strcpy(fname,argv[1]);
      vlist->laden(fname);
      vlist->filename_setzen(fname);
    }

    vlist->menu();

    delete(vlist);

  printf("\n\nSARIUS by Dirk Baechle (11.09.2000)\n\n");
  return(0);
}
