/* Name:		eingabe.h */
/* Autor:		Dirk Bchle */
/* Datum:		15.06.2000 */
/* Zweck:		Definition der Funktionen zur Eingabe */
/*			und Ausgabe von Daten (Strings) */


#ifndef _eingabe_h
#define _eingabe_h

/* ----------------------------------------------- Define-Variablen */


/* ----------------------------------------------------- Funktionen */

extern int mystrlen(char *);
extern void StrCut(char *, int);
extern int HashCount(char *);
extern void DisplayErrorOccured(void);
extern void DisplayFreeMemoryMessage(void);
extern void DisplayWrongFileMessage(void);
extern void DeleteBrackets(char *);
extern void DeleteBraces(char *);
extern void KillBrackets(char *);
extern void KillBraces(char *);
extern int GetNumberOfBracePairs(char *);
extern void GetBracesNo(char *, char *, int);
extern void KillBlanks(char *);
extern void ReduceBlanks(char *);
extern void KillHashs(char *);
extern int MaskStringWithByte(char *, BYTE);
extern int CountWrongChars(char *, char *);
extern int GetTotalSum(int);
extern void MyStringCut(char *, char *, int, int);
extern int mystrcmp(char *, char *);
extern int MyStringInString(char *, char *);
extern double GetCongrPercent(char *, char *);
extern double CheckAnswer(char *, char *, int, int);
extern void UnCr(char *);
extern void EnterFileName(char *fn);

#endif

/* Ende von eingabe.h */


